Download it now!
Bug 105777 - Pasting image in Calc: wrong placement when there's previous image overlapping currently selected cell
Summary: Pasting image in Calc: wrong placement when there's previous image overlappin...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2017-02-05 18:17 UTC by andy-scull
Modified: 2020-12-19 23:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andy-scull 2017-02-05 18:17:29 UTC
Description:
Found this while I was creating a column with images and they were a bit bigger than cells you paste them in.
I have no problems with resizing cells beforehand, but this is just plain weird


Steps to Reproduce:
1. Copy any small image into buffer
2. Move cursor to any cell and paste image (ctrl+V). Image is aligned to top-left cell corner (though anchored to page)
3. resize column and row so image would 'leak' a little into right and bottom cells (also I tried to resize cell by macro to exactly fit width/height of the image)
4. move cursor down to bottom cell (by mouse or by pressing down)
5. paste image again

Actual Results:  
6. Second copy of image is placed at exact same place/cell as first one. And if you try to move it it completely breaks and becomes another object

Expected Results:
6. Second copy of image is placed in current cell, overlapping 'leaked' part of the image in cell above (since it was placed later, it's logical that it would be in a layer above first image)


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.103 Safari/537.36
Comment 1 Guntis Ratkevičs 2017-02-07 08:08:40 UTC
Same here

Windows 10 pro
libre office Version: 5.2.4.2
Comment 2 Buovjaga 2017-02-11 20:29:38 UTC
NEW per previous comment.

andy-scull: if you had a version older than 5.2.4.2, please change the Version field accordingly.
Comment 3 QA Administrators 2018-02-12 03:31:15 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2020-02-13 03:18:12 UTC
Dear andy-scull,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug